Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.util
Interface GlyphContextTester

    public interface GlyphContextTester

Interface for testing the originating (source) character context of a glyph sequence.

This work was originally authored by Glenn Adams (gadams@apache.org).

Method Summary
`boolean` | `test(java.lang.String script, java.lang.String language, java.lang.String feature, GlyphSequence gs, int index, int flags)` Perform a test on a glyph sequence in a specific (originating) character context.

Method Detail

### test

    boolean test(java.lang.String script,
                 java.lang.String language,
                 java.lang.String feature,
                 GlyphSequence gs,
                 int index,
                 int flags)

  Perform a test on a glyph sequence in a specific (originating) character context.

  Parameters:
    `script` - governing script
    `language` - governing language
    `feature` - governing feature
    `gs` - glyph sequence to test
    `index` - index into glyph sequence to test
    `flags` - that apply to lookup in scope
  Returns:
    true if test is satisfied

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.